<?php
// Adjust include path to include all required directories
$incpath = get_include_path();
$docroot = $_SERVER['DOCUMENT_ROOT'];

if(!session_id() || !$_SESSION['server_type']) {
    if(strstr($incpath,";"))
        $serverType = 'WIN';
    else
        $serverType = 'UNIX';

    if(session_id())
        $_SESSION['server_type'] = $type;
} else {
    $serverType = $_SESSION['server_type'];
}

if($serverType == 'WIN') {
    $pathdelimiter = ';';
    $pathslash= '\\';
} else {
    $pathdelimiter = ':';
    $pathslash= '/';
}

$_ENV['pathDelimiter'] = $pathdelimiter;

$incpath .= $pathdelimiter.$docroot.$pathslash.'libs';
$incpath .= $pathdelimiter.$docroot.$pathslash.'libs'.$pathslash.'common';
$incpath .= $pathdelimiter.$docroot.$pathslash.'libs'.$pathslash.'common'.$pathslash.'smarty'.$pathslash.'libs';

set_include_path($incpath);

$ACF_Workspace              = $docroot.$pathslash.'workspace';
$ACF_TemplateDir            = $docroot.$pathslash.'templates';
$ACF_TemplateExt            = '.htm';
$ACF_CompiledTemplateDir    = $ACF_Workspace.$pathslash.'templates_c';
$ACF_TemplateConfigDir      = $ACF_Workspace.$pathslash.'templateconfigs';
$ACF_TemplateCacheDir       = $ACF_Workspace.$pathslash.'templatecache';
$ACF_LastErrorTemplate      = $ACF_TemplateDir.$pathslash.'errortemplate.htm';
$ACF_LastErrorFile          = $ACF_Workspace.$pathslash.'lasterror.htm';
$ACF_CacheDir               = $ACF_Workspace.$pathslash.'acf_cache';

require_once('Smarty.class.php');
require('acf'.$pathslash.'acf_xml.inc.php');
require('acf'.$pathslash.'executable_types'.$pathslash.'localphp.inc.php');
//require('acf'.$pathslash.'executable_types'.$pathslash.'xmlrpc.inc.php');
//require('acf'.$pathslash.'executable_types'.$pathslash.'soap.inc.php');
?>
