<?php

require_once("../client.inc.php");

// instantiate the client object, pass config object
$client = new TCA_Client(new TCA_XMLConfigReader("tucows-client.xml"));

// order management API - for second phase?
/*
$order = new TCA_Order();
$order->addItem();
$client->processOrder($order);
*/

// direct business rules API: create a request and process it
$request = $client->createServiceRequest('TUCOWS_domains.lookup_domain');
$request->addParameter(new TCA_ServiceRequestParameter('domainName', 'example.com'));
$request->addParameter(new TCA_ServiceRequestParameter('regPeriod', 1));
$request->addParameterSet("attributes", new TCA_ServiceRequestParameter('regPeriod', 1));
$res = $client->processServiceRequest($request);
echo "result: \n";
echo $res;


// direct Mercury Workflow API
/*
$workOrder = $client->createWorkOrder();
$workUnit = new TCA_WorkUnit(..);
$workUnit->addParameter(..);
$workBundle = new TCA_WorkUnitBundle();
$workBundle->addWorkUnit($workUnit);
$workOrder->addWorkUnitBundle();
$res = $cient->processWorkUnitOrder($workOrder);
*/
// direct XML feed

?>
