<?php

$_ENV['TCA_HOME'] = '/home/joel/tucows_projects/tucows_client/api';

set_include_path(get_include_path().';'.$_ENV['TCA_HOME']);

require_once("../client.inc.php");

	TCA_Client::initEnv();
	$client = new TCA_Client(new TCA_XMLConfigReader("tucows-client.xml"));
	$pset = new TCA_ServiceRequestParameterSet();
	

	// Check User.
	//$request = $client->createServiceRequest('TUCOWS_blogware.check_user');
	//$pset->addParameter(new TCA_ServiceRequestParameter('blog_username', 'testdood'));

	// Auth User.
	//$request = $client->createServiceRequest('TUCOWS_blogware.auth_user');
	//$pset->addParameter(new TCA_ServiceRequestParameter('blog_username', 'testdood'));
	//$pset->addParameter(new TCA_ServiceRequestParameter('blog_password', 'testpass'));
	
	// Get User's Blogs	
	//$request = $client->createServiceRequest('TUCOWS_blogware.get_usersblogs');
	//$pset->addParameter(new TCA_ServiceRequestParameter('blog_username', 'testdood'));
	
	// Get Blog Info	
	//$request = $client->createServiceRequest('TUCOWS_blogware.get_bloginfo');
	//$pset->addParameter(new TCA_ServiceRequestParameter('blog_id', 17));

	// Add Bandwidth
	//$request = $client->createServiceRequest('TUCOWS_blogware.add_bandwidth');
	//$pset->addParameter(new TCA_ServiceRequestParameter('blog_id', 17));
	//$pset->addParameter(new TCA_ServiceRequestParameter('quantity', 1));

	// Get Blog Info by Hostname
	//$request = $client->createServiceRequest('TUCOWS_blogware.get_bloginfobyhostname');
	//$pset->addParameter(new TCA_ServiceRequestParameter('hostname', 'testdood.blog-tester123.com'));

	// Check Hostname
	//$request = $client->createServiceRequest('TUCOWS_blogware.check_hostname');
	//$pset->addParameter(new TCA_ServiceRequestParameter('hostname', 'testdood.blog-tester123.com'));

	// Send User Password
	//$request = $client->createServiceRequest('TUCOWS_blogware.send_userpassword');
	//$pset->addParameter(new TCA_ServiceRequestParameter('blog_username', 'testdood'));

	// Send User Password By Hostname
	//$request = $client->createServiceRequest('TUCOWS_blogware.send_userpasswordbyhostname');
	//$pset->addParameter(new TCA_ServiceRequestParameter('hostname', 'testdood.blog-tester123.com'));

	// Get Timezones
	//$request = $client->createServiceRequest('TUCOWS_blogware.get_timezones');

	// Get Blogs
	//$request = $client->createServiceRequest('TUCOWS_blogware.get_blogs');

	// Get Status List
	//$request = $client->createServiceRequest('TUCOWS_blogware.get_statuslist');

	// Get Package List
	//$request = $client->createServiceRequest('TUCOWS_blogware.get_packagelist');

	// Add Blog
	/*	
	$request = $client->createServiceRequest('TUCOWS_blogware.add_blog');

	$newblog = array(); // Create Blog Struct 
	$newblog['name'] = 'NewBlogTest'; // Required
	//$newblog['keywords'] = 'NewBlogTest,SomeOtherWord,AndSoOn'; // Optional
	//$newblog['description'] = 'This is a Blog created to test the add_blog TCA call'; // Optional
	//$newblog['custom_head'] = '<!--STuff for head tag -->'; // Optional
	$newblog['hostname'] = 'newblog1.blog-tester123.com'; // Required 
	//$newblog['secondary_hostnames'] = array('newblog1.blog-tester123.com'); //Optional
	$newblog['package'] = 'trial'; // Required 
	$newblog['trial_mode'] = true; // Required

	/*
	$categories = array( // Create Category Stuct
			array('label' => 'News','type'=>'article'), // type can only be article or photo
			array('label' => 'Family','type'=>'article',
				'subcats' => array(
					array('label' => 'Christmas','type'=>'photo'),
					array('label' => 'Vacations','type'=>'photo')
						)
				)
			);

	$newblog['categories'] = $catagories; // Optional
	//*

	//$newblog['profile'] = ''; // Optional
	//$newblog['ccs_template'] = ''; // Optional

	$user = array(
		'username' => 'testdood', // Required
		'password' => 'testpass', // Required
		'first_name' => 'Test',   // Optional
		'last_name' => 'Dood',    // Optional
		'email' => 'joel@tucows.com', // Required if Creating a new user
		'nick_name' => 'testdood', // Required if Creating a new user
		'url' => 'testdood@test.com', // Optional
		'timezone' => 'GMT' // Optional
		);

	$newblog['user'] = $user; // Required 

	$pset->addParameter(new TCA_ServiceRequestParameter('struct', $newblog)); 
	$pset->addParameter(new TCA_ServiceRequestParameter('create_user', false)); // Bool Value to create a new user
	//*/
	
	// Activate Trial Blog
	//$request = $client->createServiceRequest('TUCOWS_blogware.activate_trialblog');
	//$pset->addParameter(new TCA_ServiceRequestParameter('blog_id', 17));

	// Delete Blog
	//$request = $client->createServiceRequest('TUCOWS_blogware.delete_blog');
	//$pset->addParameter(new TCA_ServiceRequestParameter('blog_id', 67));

	// Update Blog Status
	//$request = $client->createServiceRequest('TUCOWS_blogware.update_blogstatus');
	//$pset->addParameter(new TCA_ServiceRequestParameter('blog_id', 17));
	//$pset->addParameter(new TCA_ServiceRequestParameter('status', 'onhold'));

	// Update Blog Hostnames
	//$request = $client->createServiceRequest('TUCOWS_blogware.update_bloghostnames');
	//$pset->addParameter(new TCA_ServiceRequestParameter('blog_id', 17));
	//$pset->addParameter(new TCA_ServiceRequestParameter('primary_hostname', 'testdood.blog-tester123.com'));
	//$secondary = array('testdood2.blog-tester123.com','testdood3.blog-tester123.com');
	//$pset->addParameter(new TCA_ServiceRequestParameter('secondary_hostnames', $secondary));

	// Update Blog Package
	//$request = $client->createServiceRequest('TUCOWS_blogware.update_blogpackage');
	//$pset->addParameter(new TCA_ServiceRequestParameter('blog_id', 17));
	//$pset->addParameter(new TCA_ServiceRequestParameter('package', 'basic'));

	// Get CSS Templates
	//$request = $client->createServiceRequest('TUCOWS_blogware.get_csstemplates');


	//---- add the parameter set to the service request object
	$request->addParameterSet('attributes', $pset);

	//---- attempt to process the service request
	try {
		$result = $client->processServiceRequest($request);
	}
	catch(Exception $error){
		print "Error: " . $error->getMessage();
	}

//---- check to see if the requested domain is available
	if ($result){
		print "<br>Result Stucture: <br><pre>";
		print_r($result);
		print "</pre>";
	}
?>
