<?php
set_include_path(get_include_path().":..");
require_once("util/parameter.inc.php");
require_once("util/string.inc.php");

// parameters
$set1 = new TCA_ParameterSet();
$set1->addParameter(new TCA_Parameter("1", "one"));
$set1->addParameter(new TCA_Parameter("2", "two"));
echo "created a simple parameter set:\n". $set1->__toString(). "\n";
                          
// set that contains another set
$set2 = new TCA_ParameterSet();
$set2->addParameterSet("attributes", $set1);
echo "created a compound parameter:\n". $set2->__toString(). "\n";

// add another level
$par3 = new TCA_Parameter("more", $par2);
echo "created a 3 level parameter:\n". $par3->__toString(). "\n";

// create a parameter set
$set = new TCA_ParameterSet();
$set->addParameterSet('level3', $set2);
$set->addParameter($par3);

$ar = $set->toArray();

//echo "ar: \n";
//var_dump($ar);

echo "set:\n";
var_dump( $set->toArray());

$set->deleteElement($par3->getName());
echo "set after deletion:\n";
var_dump( $set->toArray());

$k = $set->keys();
echo "keys: ";
var_dump($k);

$v = $set->values();
echo "values: ";
var_dump($v);
?>
