<?php
set_include_path(get_include_path().":..");
//set_include_path(get_include_path().":/usr/local/lib/php:..");
require_once("client.inc.php");
//require_once("domainUsage.php");


	

// instantiate the client object, pass config object

TCA_Client::initEnv();
$client = new TCA_Client(new TCA_XMLConfigReader("tucows-client.xml"));
$cookie;
// lookup a domain using business layer API
#$request = $client->createServiceRequest('lookup_domain');
#$pSet = new TCA_ServiceRequestParameterSet();
#$pSet->addParameter(new TCA_ServiceRequestParameter('domain', 'tucows.com'));
#$request->addParameterSet('attributes',$pSet);
#echo "service request: ". $request->__toString()."\n";
#$res = $client->processServiceRequest($request);

#echo "service response: ". $res->__toString()."\n";
#echo "IS SUCCESS: ".$res->isSuccess()."\n";
#echo "RESPONSE CODE: ".$res->getResponseCode()."\n";
#echo "RESPONSE TEXT: ".$res->getResponseText()."\n";

// getting a cookie

$cookie = "869730967:277574";
//uncomment to get a real cookie
/*echo "\n\n---- Set Cookie ----\n\n";
	$request = $client->createServiceRequest('domain.set_cookie');
	$pSet = new TCA_ServiceRequestParameterSet();
	$pSet->addParameter(new TCA_ServiceRequestParameter('domain', 'tanya.info'));
	$pSet->addParameter(new TCA_ServiceRequestParameter("reg_username", "tanya"));
	$pSet->addParameter(new TCA_ServiceRequestParameter("reg_password", "tanya"));
	$request->addParameterSet('attributes',$pSet);
	$result = $client->processServiceRequest($request);
	if (!$result->isSuccess()) {
	    throw new Exception("set cookie failed -- ". $result->getResponseText());
	} else {
	    $cookie = $result->getResponseData()->getElement("attributes")->getElement('cookie')->getValue();
	}

*/
echo "........cookies is : $cookie ..\n";
// getting a cookie from the domainUsage class
//$domainUsage = new domainUsage();
//$domainUsage->setCookie();
//$cookie = $domainUsage->getCookie();



// action query
//1- get the domain cartridge
$cartridegManager = $client->getCartridgeManager();
$crs=$cartridegManager->getCartridges();
var_dump(array_keys($crs));
$domainCartridge = $cartridegManager->getCartridgeByName("TCA_TUCOWS_domains_cartridge");

//getting the service offerings
$serviceOffering = $domainCartridge->getServiceOfferings();
$domainCartridge->getServiceManager()->setWorkOrderManager($client->getWorkOrderManager());
//var_dump(array_keys($serviceOffering));

//getting the query action
$actions = $serviceOffering['.Com .Net']->getActions();
var_dump(array_keys($actions));

$action = $serviceOffering['.Com .Net']->getActionByName("provision");

//getting the parameter set of this action
$pSet = $action->getParametersContainer()->getParameters();
echo".......Required parameters are:\n";
var_dump(array_values($pSet));

//TCA_ActionParameterContainerI  

$childAttributes = $action->getParametersContainer()->getChildContainerByName("attributes");

foreach ($childAttributes->getParameters() as $aparam) {
	echo $aparam->getName() . ": " . $aparam->getDescription(); 
	echo "\n";		
}

$domainParam = $childAttributes->getParameterByName("domain");
$domainParam->setValue("abc.com");

$domainDescParam = $childAttributes->getParameterByName("domain_description");
$domainDescParam->setValue("abc");

$encodeTypeParam = $childAttributes->getParameterByName("encoding_type");
$encodeTypeParam->setValue("en");

$param = $childAttributes->getParameterByName("reg_username");
$param->setValue("Andrew");

$param = $childAttributes->getParameterByName("reg_password");
$param->setValue("andrewpassword");

$param = $childAttributes->getParameterByName("f_lock_domain");
$param->setValue("1");

$param = $childAttributes->getParameterByName("reg_type");
$param->setValue("new");

$param = $childAttributes->getParameterByName("handle");
$param->setValue("save");

$param = $childAttributes->getParameterByName("period");
$param->setValue("2");

$param = $childAttributes->getParameterByName("custom_tech_contact");
$param->setValue("1");

$param = $childAttributes->getParameterByName("custom_nameservers");
$param->setValue("1");

$param = $childAttributes->getParameterByName("auto_renew");
$param->setValue("1");

$param = $childAttributes->getParameterByName("link_domains");
$param->setValue("1");

$param = $childAttributes->getParameterByName("affiliate_id");
$param->setValue("10");

$param = $childAttributes->getParameterByName("isa_trademark");
$param->setValue("1");

$param = $childAttributes->getParameterByName("lang_pref");
$param->setValue("EN");

$param = $childAttributes->getParameterByName("legal_type");
$param->setValue("ABO");

$param = $childAttributes->getParameterByName("master_order_id");
$param->setValue("1");

$param = $childAttributes->getParameterByName("prereg");
$param->setValue("1");

$param = $childAttributes->getParameterByName("reg_domain");
$param->setValue("domain.ca");

$param = $childAttributes->getParameterByName("rant_no");
$param->setValue("900");

$param = $childAttributes->getParameterByName("ca_link_domain");
$param->setValue("1");

$contactSetContainer = $childAttributes->getChildContainerByName("contact_set");

//$contactSetContainer->

$nameServerListParam = $childAttributes->getParameterByName("nameserver_list");
$nameServerListParam->addValue("www.andrew.com");
$nameServerListParam->addValue("www.andrew2.com");
$nameServerListParam->addValue("www.andrew3.com");

//populating the parameter set
/*$parameterCookie = $pSet->getElement("cookie");
$parameterCookie->setValue($cookie);
$pSet->addParameter($parameterCookie);
$parameterType = new TCA_ActionParameter("type","all_info");
$pSet->addParameter($parameterCookie);
$pSet->addParameter($parameterType);
echo"........populated values are:\n";

var_dump($pSet->values());

// calling the perform action on the parameter set
echo"........Calling query action perform:\n";*/
try {
 $action->perform();
} catch (TCA_InvalidServiceRequestException $e) {
  echo $e->getMessage();	
} 
//$res = $client->processServiceRequest($request);

?>
