<?php

set_include_path("..");
require_once("connector.inc.php");
require_once("mercury/workflow.inc.php");

$c = new TCA_Connector("TCA_CbcConnector",
		       "TCA_OPS",
		       "TCA_BlowfishCypher");
$c->setResellerAuthInfo(new TCA_ResellerAuthInfo("vz", "123123"));
$c->setRemoteEnd(new TCA_RemoteEnd("dev.opensrs.net", "50000"));
#$c->sendCommand("");

// init a work unit
$workUnit = new TCA_WorkUnit();
$workUnit->addParameter(new TCA_WorkUnitParameter( "domainName","example.com"));
$workUnit->addParameter(new TCA_WorkUnitParameter( "regPeriod", 1));

// create a bundle and add one work unit
$workUnitBundle = new TCA_WorkUnitBundle();
$workUnitBundle->addWorkUnit($workUnit);

// create a workorder and add a bundle
$workOrder = new TCA_WorkOrder();
$workOrder->addWorkUnitBundle($workUnitBundle);

// finally, create a manager instance and set link to lower layer and work order
$workOrderManager = new TCA_WorkOrderManager();
$workOrderManager->setConnector($c);
$workOrderManager->setWorkOrder($workOrder);

// process the work order
$workOrderManager->process();


?>
