<?php

//---- function to display the current screen
function creditCardPlatConfigurationInit(){
    $_SESSION['ccs']['configuration']['pageTitle'] = 'Platypus Credit Card Configuration';

    $billingOptions = $_SESSION['ccs']['configuration']['loadedOptions']['driver-options']['billing-module']['billing-options'];

    if(!$_SESSION['ccs']['configuration']['data']['billing']['rateAuth'])
	$_SESSION['ccs']['configuration']['data']['billing']['rateAuth']       = $billingOptions['rate-auth'] == 'no' ? 'N' : 'Y';
    if(!$_SESSION['ccs']['configuration']['data']['billing']['servicePreAuth'])
	$_SESSION['ccs']['configuration']['data']['billing']['servicePreAuth'] = $billingOptions['service-preauth'] == 'no' ? 'N' : 'Y';

    require("configure/templates/creditCardPlatConfiguration.php");
}


//---- function that manipulates data
function creditCardPlatConfigurationExecute(){
    $data  = &$_SESSION['ccs']['configuration']['data'];

//---- grab the rate authorize
    $rateAuth = $_POST['rateAuth'] ? $_POST['rateAuth'] : $_GET['rateAuth'];
    if (in_array($rateAuth, array('Y', 'N'))){
        $data['billing']['rateAuth'] = $rateAuth;
    }else{
        $_SESSION['ccs']['configuration']['message'] = "Invalid rate authorize state selected.";
        return false;
    }
//---- grab the service preauthorize
    $servicePreAuth = $_POST['servicePreAuth'] ? $_POST['servicePreAuth'] : $_GET['servicePreAuth'];
    if (in_array($servicePreAuth, array('Y', 'N'))){
        $data['billing']['servicePreAuth'] = $servicePreAuth;
    }else{
        $_SESSION['ccs']['configuration']['message'] = "Invalid service pre-authorize state selected.";
        return false;
    }

    return true;
}
?>
