<?php

//---- function to display the current screen
function domainLockingInit(){
    $_SESSION['ccs']['configuration']['pageTitle'] = 'Domains Locking Parameters';

    foreach($_SESSION['ccs']['configuration']['loadedOptions']['driver-options']['service-modules']['service-module'] as $thisService) {
        if($thisService['name'] == 'domain') {
            if(!$_SESSION['ccs']['configuration']['data']['domain']['allowLocking'])
                $_SESSION['ccs']['configuration']['data']['domain']['allowLocking'] = $thisService['service-options']['allow-domain-lock-change'] == 'yes' ? 'Y' : 'N';
            if(!$_SESSION['ccs']['configuration']['data']['domain']['defaultLockState'])
                $_SESSION['ccs']['configuration']['data']['domain']['defaultLockState'] = $thisService['service-options']['default-status-locked'] == 'yes' ? 'Locked' : 'Unlocked';
            break;
        }
    }

    require("configure/templates/domainLocking.php");
}


//---- function that manipulates data
function domainLockingExecute(){
    $data = &$_SESSION['ccs']['configuration']['data'];
//---- grab the allow locking
    $allowLocking = $_POST['allowLocking'] ? $_POST['allowLocking'] : $_GET['allowLocking'];
    if (in_array($allowLocking, array('Y', 'N'))){
        $data['domain']['allowLocking'] = $allowLocking;
    }else{
        $_SESSION['ccs']['configuration']['message'] = "Invalid allow locking state selected.";
        return false;
    }
//---- grab the default lock state
    $defaultLockState = $_POST['defaultLockState'] ? $_POST['defaultLockState'] : $_GET['defaultLockState'];
    if (in_array($defaultLockState, array('Locked', 'Unlocked'))){
        $data['domain']['defaultLockState'] = $defaultLockState;
    }else{
        $_SESSION['ccs']['configuration']['message'] = "Invalid default lock state selected.";
        return false;
    }

    return true;
}
?>
