<?php

//---- function to display the current screen
function domainProcedureInit(){
    $_SESSION['ccs']['configuration']['pageTitle'] = 'Domain\'s Procedure Settings';

    foreach($_SESSION['ccs']['configuration']['loadedOptions']['driver-options']['service-modules']['service-module'] as $thisService) {
        if($thisService['name'] == 'domain') {
            if(!$_SESSION['ccs']['configuration']['data']['domain']['whoisServer'])
                $_SESSION['ccs']['configuration']['data']['domain']['whoisServer']  = $thisService['service-options']['whois-server'];
            if(!$_SESSION['ccs']['configuration']['data']['domain']['handleAction'])
                $_SESSION['ccs']['configuration']['data']['domain']['handleAction'] = $thisService['service-options']['handle-action'];
            break;
        }
    }

    require("configure/templates/domainProcedure.php");
}


//---- function that manipulates data
function domainProcedureExecute(){
    $data    = &$_SESSION['ccs']['configuration']['data'];
//---- grab the handle
    $handle = $_POST['handle'] ? $_POST['handle'] : $_GET['handle'];
    if (in_array($handle, array('save', 'process'))){
        $data['domain']['handleAction'] = $handle;
    }else{
        $_SESSION['ccs']['configuration']['message'] = "Invalid handle action state selected.";
        return false;
    }
//---- grab the whois server
    $whois  = $_POST['whois']  ? $_POST['whois']  : $_GET['whois'];
    $data['domain']['whoisServer'] = $whois;
    return true;
}
?>
