<?php
/*---------------------------------------------------------------------------------------------------------*/
/*---- This file generates grabs a list of staff members                                               ----*/
/*---- All functions pull the information from the object by invoking the helpdesk object function.    ----*/
/*---- Then this data is put into a collection of arrays (this makes the ACF less cumbersome)          ----*/
/*---- This data is then passed to the Smarty object to be used in conjunction with the template file  ----*/
/*---------------------------------------------------------------------------------------------------------*/

require_once('../../libs/platypus/wow.inc.php');
require_once("../../libs/ccs/options.inc.php");
//---- load the CCS Options have to laod it here because this is the first manditory function call
if (!$_SESSION['ccs'])
    loadCCSOptions();


function DC_GetStaffList(ACF_ParameterList $inParameterList){
    $staff  = array('list' => array());
    $status = array();
//---- get a list of staff members
    $helpdesk = new WOW_Request('', '', 'wombat');
    $helpdesk->setMethod('get_Staff_List');
//    $helpdesk->addParameter('cUsername', $_SESSION['knowledgebase']['username']);
//    $helpdesk->addParameter('cPassword', $_SESSION['knowledgebase']['password']);
    $helpdesk->addAttribute('logintype', 'staff');
    if($helpdesk->execute()){
        $staff['list'] = $helpdesk->getAttributesArray();
    }else
        $status['text'] = $helpdesk->lastError;
//---- create a parameter object
    $parameterList = new ACF_ParameterList();
//---- add values to the parameter object
    $parameterList->AddParameter(new ACF_DirectParameter('staff', $staff));
    if ($status['text'])
        $parameterList->AddParameter(new ACF_DirectParameter('status', $status));
    return $parameterList;
}
?>
