<?php
//---- Function to write log files
function logData($module = '', $level = 'off', $method = '', $data = '', $dataLevel = 'low'){
//---- check the level and compare it with the data level to know if we even need to be here
	switch (strtolower($level)){
		case 'low':
			$logInfo = strtolower($dataLevel) === 'low';
            break;
		case 'medium':
			$logInfo = strtolower($dataLevel) !== 'high';
            break;
		case 'high':
			$logInfo = true;
            break;
		default:
			$logInfo = false;
	}
	if ($logInfo){
//---- Apparently we do need to be here, get the data in a string format
        $logString  = "";
        $logString .= "[" . strftime("%c") . "] ";
        $logString .= "Method: " . $method;
        if ($data){
			$logString .= "\nData:\n\t";
			if (is_array($data) || is_object($data))
				$logString .= print_r($data, true);
			else
				$logString .= $data;
        }else
            $logString .= " ---- Method Entered.";
        $logString .= "\n\n";
//---- try to open/create a file
		if (!$fileHandle = fopen("./log_" . $module . "_Data.txt", "a")){
			print "Unable to open/create log file: log" . $module . "Data.txt";
			return false;
		}
//---- attempt to write the file
		if (!fwrite($fileHandle, $logString)){
			print "Unable to write to log file: log" . $module . "Data.txt";
			return false;
		}
//---- attempt to close the file
		if (!fclose($fileHandle)){
			print "Unable to close log file : log" . $module . "Data.txt";
			return false;
		}
	}
	return true;
}
?>
