// <![CDATA[ {literal}

function ticketAttachmentSet (objRow,strTableID){
    var objTable = document.getElementById(strTableID);

    for(var i=1;i<objTable.rows.length;i++) {
        if(objTable.rows[i] == objRow)
            objTable.rows[i].className = "hovered";
        else if(i % 2 == 1)
            objTable.rows[i].className = "odd";
        else
            objTable.rows[i].className = "";
    }

    var objForm = document.forms['attachment_buttons'];
    if (objForm) {
        objForm.elements['id'].value = 0;
        objForm.elements['emailid'].value = 0;

    }
    var objForm = document.forms['attachment_download'];
    if (objForm) {
        objForm.elements['id'].value = 0;
        objForm.elements['emailid'].value = 0;

    }

    if (objRow) {
        var objSplit = objRow.id.split('_');
        if (objSplit[1] == 'ticket') {
            var objForm = document.forms['attachment_buttons'];
            if (objForm) {
                objForm.elements['id'].value = objSplit[4];

            }
        } else if (objSplit[1] == 'email') {
            var objForm = document.forms['attachment_download'];
            if (objForm) {
                objForm.elements['id'].value = objSplit[4];
                objForm.elements['emailid'].value = objSplit[2];
            }
        }
    }
}

function problemDelete (id,emailid) {
	if(!confirm('Are you sure you want to delete this attachment?'))
		return;

	var objForm = document.forms['attachment_buttons'];
	var strPostBody = 'id=' + encodeURIComponent(id) + '&emailid=' + encodeURIComponent(emailid);
	
	var tkt_call_save_url = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_NAME + '/deleteticketattachment';
	var objHttp = getXMLHttpRequest();
	objHttp.open("POST",tkt_call_save_url,false);
	objHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	objHttp.send(strPostBody);
	
	$("#ticketHeaderLinks").tabs("load",1);
}

function ticketCallSet (objRow,strTableID){
    var objTable = document.getElementById(strTableID);

    for(var i=1;i<objTable.rows.length;i++) {
        if(objTable.rows[i] == objRow)
            objTable.rows[i].className = "hovered";
        else if(i % 2 == 1)
            objTable.rows[i].className = "odd";
        else
            objTable.rows[i].className = "";
    }

    document.getElementById("call_body_text").value = '';

    if (objRow) {
        var objSplit = objRow.id.split('_');

	document.getElementById('existingcall').style.display = 'block';
        var strPostBody = 'wombattype=call&typeid=' 
            + encodeURIComponent(objSplit[4]) 
            + '&ticketid=' + encodeURIComponent(tkt_id);
        var tkt_object_get_url = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_PATH + '/xml.php/populatewombatcontrol';
        var objHttp = getXMLHttpRequest();
        objHttp.open("POST",tkt_object_get_url,false);
        objHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
        document.body.style.cursor = 'wait';
        objHttp.send(strPostBody);
        document.body.style.cursor = 'default';

        try {
            document.getElementById("call_body_text").value = objHttp.responseXML.getElementsByTagName('call')[0].childNodes[0].nodeValue;
        } catch (e) {}
    }
	else {
		document.getElementById('existingcall').style.display = 'none';
	}
}

function ticketCallStart () {
    ticketCallSet(false,'calllist');

    var tkt_call_start_url = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_NAME + '/setcallstarttime';
    var objHttp = getXMLHttpRequest();
    objHttp.open("POST",tkt_call_start_url,false);
    objHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    objHttp.send();

    blnUnloadConfirm = true;
}

function ticketCallSave () {
	var strPostBody = 'call[type]=' + encodeURIComponent(document.getElementById('call[type]').value) + '&call[number]=' + encodeURIComponent(document.getElementById('call[number]').value) + '&call[contact]=' + encodeURIComponent(document.getElementById('call[contact]').value) + '&call[body]=' + encodeURIComponent(document.getElementById('call[body]').value);
	
	var tkt_call_save_url = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_NAME + '/saveticketcall';
	var objHttp = getXMLHttpRequest();
	objHttp.open("POST",tkt_call_save_url,false);
	objHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	objHttp.send(strPostBody);
}

function ticketCallDelete (call_id) {
	if(confirm('Are you sure you want to delete this call?')) {
		var strPostBody = 'id=' + encodeURIComponent(call_id);
		
		var tkt_call_delete_url = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_NAME + '/deleteticketcall';
		var objHttp = getXMLHttpRequest();
		objHttp.open("POST",tkt_call_delete_url,false);
		objHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		objHttp.send(strPostBody);
		
		$("#ticketHeaderLinks").tabs("load",3);
	}
}

function ticketMessageSet (objMessageRow,strTableID,bAllowAttachmentDownload) {
    var objTable = document.getElementById('messageAttachmentList');
    for (var i=objTable.rows.length-1;i>0;i--) {
        objTable.deleteRow(i);
    }

    var objTable = document.getElementById(strTableID);
    for(var i=1;i<objTable.rows.length;i++) {
        if(objTable.rows[i] == objMessageRow)
            objTable.rows[i].className = 'hovered';
        else if(i % 2 == 1)
            objTable.rows[i].className = 'odd';
        else
            objTable.rows[i].className = '';
    }

    if (objMessageRow) {
        var objSplit = objMessageRow.id.split('_');
		
	document.getElementById('messageEmailBody').style.display = 'block';
	document.getElementById('messageEmailAttachments').style.display = 'block';

        var strPostBody = 'wombattype=message&typeid=' 
            + encodeURIComponent(objSplit[4]) 
            + '&ticketid=' + encodeURIComponent(tkt_id);
        var tkt_object_get_url = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_PATH + '/xml.php/populatewombatcontrol';
        var objHttp = getXMLHttpRequest();
        objHttp.open('POST',tkt_object_get_url,false);
        objHttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
        document.body.style.cursor = 'wait';
        objHttp.send(strPostBody);
        document.body.style.cursor = 'default';

        var objTable = document.getElementById('messageAttachmentList');
        var objRow = false;
        var objCell = false;
        var objAnchor = false;
        var objButton = false;
	var attachID = false;
	var download_url = false;

        try {
            document.getElementById('message_body_text').value = objHttp.responseXML.getElementsByTagName('message')[0].childNodes[0].nodeValue;
        } catch (e) {}
        var objAttachNodes = objHttp.responseXML.getElementsByTagName('attachment');

        for (var i=0;i<objAttachNodes.length;i++) {
            objRow = objTable.insertRow(i+1);
            if((i+1)%2 == 1)
                objRow.className = 'odd';
            objRow.onclick = function () { messageAttachmentSet(this,'messageAttachmentList'); };
            objRow.id = 'attach_message_' +
                    objSplit[4].encodeHTML() + '_id_' +
                    objAttachNodes[i].getElementsByTagName('fileid')[0].childNodes[0].nodeValue.encodeHTML();
            objCell = objRow.insertCell(0);
            objCell.innerHTML = objAttachNodes[i].getElementsByTagName('filename')[0].childNodes[0].nodeValue.encodeHTML();
            objCell = objRow.insertCell(1);
            objCell.innerHTML = objAttachNodes[i].getElementsByTagName('filedesc')[0].childNodes[0].nodeValue.encodeHTML();
            
            objCell = objRow.insertCell(2);
            if(bAllowAttachmentDownload) {
                attachID = objAttachNodes[i].getElementsByTagName('fileid')[0].childNodes[0].nodeValue.encodeHTML();

                download_url = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_NAME;
                download_url = download_url.replace('index.php','file.php');
                download_url = download_url + '/requestfile?id=' + attachID + '&emailid=' + objSplit[4].encodeHTML();

                objAnchor = document.createElement('a');
                objAnchor.href = download_url;
                objButton = document.createElement('button');
                objButton.className = 'button_link attachment_download_link';
                objButton.title = 'Download Attachment';
		objAnchor.appendChild(objButton);
                objCell.appendChild(objAnchor);
            }
        }
    }
}

function ticketMessageStart () {
    ticketMessageSet(false,'messagelist',false);

    var tkt_msg_start_url = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_PATH + '/xml.php/createticketmessage';
    var objHttp = getXMLHttpRequest();
    objHttp.open('POST',tkt_msg_start_url,false);
    objHttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
    document.body.style.cursor = 'wait';
    objHttp.send();
    document.body.style.cursor = 'default';

    var objForm = document.getElementById("newemail_messagecreate_form");
    
    if (objForm) {
	$('#newemail_dialog').dialog('option', 'title', 'New Email Message');
        objForm.elements['emailType'].value = 'NEW';
        try {
            objForm.elements['emailID'].value = objHttp.responseXML.getElementsByTagName('id')[0].childNodes[0].nodeValue;
        } catch (e) {}
        try {
            objForm.elements['message[to]'].value = objHttp.responseXML.getElementsByTagName('to')[0].childNodes[0].nodeValue;
        } catch (e) {}
        try {
            objForm.elements['message[from]'].value = objHttp.responseXML.getElementsByTagName('from')[0].childNodes[0].nodeValue;
        } catch (e) {}
        try {
            objForm.elements['message[cc]'].value = objHttp.responseXML.getElementsByTagName('cc')[0].childNodes[0].nodeValue;
        } catch (e) {}
        try {
            objForm.elements['message[bcc]'].value = objHttp.responseXML.getElementsByTagName('bcc')[0].childNodes[0].nodeValue;
        } catch (e) {}
        try {
            objForm.elements['message[subject]'].value = objHttp.responseXML.getElementsByTagName('subject')[0].childNodes[0].nodeValue;
        } catch (e) {}
        try {
            objForm.elements['message[body]'].value = objHttp.responseXML.getElementsByTagName('body')[0].childNodes[0].nodeValue;
        } catch (e) {}
    }

    blnUnloadConfirm = true;
}

function ticketMessageLoad (strAction, strMessageID) {
    ticketMessageSet(false,'messagelist',false);
    var strPostBody = 'messageid=' + encodeURIComponent(strMessageID)
        + '&action=' + encodeURIComponent(strAction.toLowerCase());
    var tkt_msg_load_url = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_PATH + '/xml.php/loadticketmessage'
    var objHttp = getXMLHttpRequest();
    objHttp.open('POST',tkt_msg_load_url,false);
    objHttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
    document.body.style.cursor = 'wait';
    objHttp.send(strPostBody);
    document.body.style.cursor = 'default';

    var objForm = document.getElementById("newemail_messagecreate_form");

    if (objForm) {
	$('#newemail_dialog').dialog('option', 'title', strAction.encodeHTML() + ' Email Message');
        try {
            objForm.elements['emailType'].value = strAction.toUpperCase();
        } catch (e) {}
        try {
            objForm.elements['emailID'].value = objHttp.responseXML.getElementsByTagName('id')[0].childNodes[0].nodeValue;
        } catch (e) {}
        try {
            objForm.elements['message[to]'].value = objHttp.responseXML.getElementsByTagName('to')[0].childNodes[0].nodeValue;
        } catch (e) {}
        try {
            objForm.elements['message[from]'].value = objHttp.responseXML.getElementsByTagName('from')[0].childNodes[0].nodeValue;
        } catch (e) {}
        try {
            objForm.elements['message[cc]'].value = objHttp.responseXML.getElementsByTagName('cc')[0].childNodes[0].nodeValue;
        } catch (e) {}
        try {
            objForm.elements['message[bcc]'].value = objHttp.responseXML.getElementsByTagName('bcc')[0].childNodes[0].nodeValue;
        } catch (e) {}
        try {
            objForm.elements['message[subject]'].value = objHttp.responseXML.getElementsByTagName('subject')[0].childNodes[0].nodeValue;
        } catch (e) {}
        try {
            objForm.elements['message[body]'].value = objHttp.responseXML.getElementsByTagName('body')[0].childNodes[0].nodeValue;
        } catch (e) {}

        var objAttachNodes = objHttp.responseXML.getElementsByTagName('attachment');
        var objTable = document.getElementById('newattachmentlist');
        var objRow = false;
        var objCell = false;
        var objInput = false;
        var objFile = false;
        var objDelete = false;
        for (var i=objTable.rows.length-1;i>=0;i--) {
            objTable.deleteRow(i);
        }
        for (var i=0;i<objAttachNodes.length;++i) {
            objRow = objTable.insertRow(i);
            objRow.id = 'delete_attach_message_' +
                objForm.elements['emailID'].value + '_id_' +
                objAttachNodes[i].getElementsByTagName('attachment_id')[0].childNodes[0].nodeValue.encodeHTML();
            objCell = objRow.insertCell(0);

            objFile = document.createElement('input');
            objFile.setAttribute('type', 'text');
            objFile.setAttribute('name', 'file[' + i + ']');
            objFile.setAttribute('value', objAttachNodes[i].getElementsByTagName('attachment_filename')[0].childNodes[0].nodeValue);
            objFile.setAttribute('size', '40');
            objFile.setAttribute('readonly', 'readonly');
            objCell.appendChild(objFile);

            objDelete = document.createElement('input');
            objDelete.setAttribute('type', 'button');
            objDelete.setAttribute('value', 'X');
            objDelete.onclick = function () { messageAttachmentRemove(this); };
            objCell.appendChild(objDelete);
            
        }
        try {
            objForm.elements['message[attachmentIndex]'].value = objTable.rows.length;
        } catch (e) {}
        try {
            objForm.elements['message[attachmentCount]'].value = objTable.rows.length;
        } catch (e) {}
    }
    blnUnloadConfirm = true;
}

function ticketMessageCancel () {
    var objForm = document.getElementById("newemail_messagecreate_form");

    if (objForm) {
        if (objForm.elements['emailType'].value != 'CONTINUE' || objForm.elements['emailType'].value == 'NEW') {
            var strPostBody = 'messageid=' + encodeURIComponent(objForm.elements['emailID'].value);
            var objHttp = getXMLHttpRequest();
            var tkt_msg_cancel_url = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_NAME + '/cancelnewmessage';
            objHttp.open('POST',tkt_msg_cancel_url,false);
            objHttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
            document.body.style.cursor = 'wait';
            objHttp.send(strPostBody);
            document.body.style.cursor = 'default';
        }
        objForm.elements['emailAction'].value = '';
        objForm.elements['emailType'].value = '';
        objForm.elements['emailID'].value = '';
        objForm.elements['message[to]'].value = '';
        objForm.elements['message[from]'].value = '';
        objForm.elements['message[cc]'].value = '';
        objForm.elements['message[bcc]'].value = '';
        objForm.elements['message[body]'].value = '';
    }

    return true;
}

function ticketMessageDelete (id) {
	if(confirm('Are you sure you want to delete this email message?')) {
		var strPostBody = 'id=' + encodeURIComponent(id);
		
		var tkt_call_delete_url = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_NAME + '/deleteticketmessage';
		var objHttp = getXMLHttpRequest();
		objHttp.open("POST",tkt_call_delete_url,false);
		objHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		objHttp.send(strPostBody);
		
		$("#ticketHeaderLinks").tabs("load",2);
	}
}

function messageAttachmentAdd () {
    var objForm = document.getElementById("newemail_messagecreate_form");
    
    if (!objForm)
        return;
    var objTable = document.getElementById('newattachmentlist');
    var objRow = false;
    var objCell = false;
    var objInput = false;

    objRow = objTable.insertRow(objTable.rows.length);
    objRow.id = 'delete_attach_message_' +
        objForm.elements['emailID'].value + '_id_0';
    objCell = objRow.insertCell(0);

    var objFile = document.createElement('input');
    objFile.setAttribute('type', 'file');
    objFile.setAttribute('name', 'file[' + objForm.elements['message[attachmentIndex]'].value + ']');
    objFile.setAttribute('size', '40');
    objCell.appendChild(objFile);

    var objDelete = document.createElement('input');
    objDelete.setAttribute('type', 'button');
    objDelete.setAttribute('value', 'X');
    objDelete.onclick = function () { messageAttachmentRemove(this); };
    objCell.appendChild(objDelete);

    objForm.elements['message[attachmentIndex]'].value = objTable.rows.length;
    objForm.elements['message[attachmentCount]'].value = objTable.rows.length;
	
	var curHeight = parseInt($("#messageAttachment").height()), newHeight = curHeight + 28;
	$("#messageAttachment").height(newHeight);
}

function messageAttachmentRemove (objNode) {
    var objSplit = objNode.parentNode.parentNode.id.split('_');
    if (objSplit[5] > 0) {
        var strPostBody = 'attachid=' + encodeURIComponent(objSplit[5]) +
            '&emailid=' + encodeURIComponent(objSplit[3]);
        var msg_attach_del_url = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_NAME + '/deleteemailattachment';
        var objHttp = getXMLHttpRequest();
        objHttp.open('POST',msg_attach_del_url,false);
        objHttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
        document.body.style.cursor = 'wait';
        objHttp.send(strPostBody);
        document.body.style.cursor = 'default';
    }
    var objTable = objNode.parentNode.parentNode.parentNode;
    var objRow = objNode.parentNode.parentNode;
    objTable.deleteRow(objRow.rowIndex);
	
	var curHeight = parseInt($("#messageAttachment").height()), newHeight = curHeight - 28;
	$("#messageAttachment").height(newHeight);
}

function messageAttachmentSet (objRow,strTableID) {
    var objTable = document.getElementById(strTableID);

    for(var i=1;i<objTable.rows.length;i++) {
        if(objTable.rows[i] == objRow)
            objTable.rows[i].className = 'hovered';
        else if(i % 2 == 1)
            objTable.rows[i].className = 'odd';
        else
            objTable.rows[i].className = '';
    }

    var objForm = document.forms['message_attachment_download'];
    if (objForm) {
        objForm.elements['id'].value = 0;
        objForm.elements['emailid'].value = 0;
        objForm.elements['submit_message_attachment_download'].style.display = 'none';
    }

    if (objRow) {
        var objSplit = objRow.id.split('_');
        var objForm = document.forms['message_attachment_download'];
        if (objForm) {
            objForm.elements['id'].value = objSplit[4];
            objForm.elements['emailid'].value = objSplit[2];
            objForm.elements['submit_message_attachment_download'].style.display = 'block';
        }
    }
}

function ticketNoteSet (objRow,strTableID){
	var objTable = document.getElementById(strTableID);

    for(var i=1;i<objTable.rows.length;i++) {
        if(objTable.rows[i] == objRow)
            objTable.rows[i].className = "hovered";
        else if(i % 2 == 1)
            objTable.rows[i].className = "odd";
        else
            objTable.rows[i].className = "";
    }

    if (objRow) {
        var objSplit = objRow.id.split('_');

	document.getElementById('existingnote').style.display = 'block';

        var strPostBody = 'wombattype=note&typeid=' 
            + encodeURIComponent(objSplit[4]) 
            + '&ticketid=' + encodeURIComponent(tkt_id);
        var tkt_object_get_url = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_PATH + '/xml.php/populatewombatcontrol'
        var objHttp = getXMLHttpRequest();
        objHttp.open("POST",tkt_object_get_url,false);
        objHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
        document.body.style.cursor = 'wait';
        objHttp.send(strPostBody);
        document.body.style.cursor = 'default';

		try {
			document.getElementById("note_body_text").value = objHttp.responseXML.getElementsByTagName('note')[0].childNodes[0].nodeValue;
		} catch (e) {}
    }
	else {
		document.getElementById('existingnote').style.display = 'none';
	}
}

function ticketNoteSave () {
	var strPostBody = 'note[body]=' + encodeURIComponent(document.getElementById('note[body]').value) + '&note[visible]=' + encodeURIComponent(document.getElementById('note[visible]').value);
	
	var tkt_call_start_url = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_NAME + '/saveticketnote';
	var objHttp = getXMLHttpRequest();
	objHttp.open("POST",tkt_call_start_url,false);
	objHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	objHttp.send(strPostBody);
}

function ticketNoteDelete (note_id) {
	if(confirm('Are you sure you want to delete this note?')) {
		var strPostBody = 'id=' + encodeURIComponent(note_id);
		
		var tkt_note_delete_url = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_NAME + '/deleteticketnote';
		var objHttp = getXMLHttpRequest();
		objHttp.open("POST",tkt_note_delete_url,false);
		objHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		objHttp.send(strPostBody);
		
		$("#ticketHeaderLinks").tabs("load",4);
	}
}

function ticketProblemUpdate () {
	var objForm = document.forms['ticket_problem'];
	var strPostBody = 'ticket[source]=' + encodeURIComponent(objForm.elements['ticket[source]'].value) + '&ticket[problem]=' + encodeURIComponent(objForm.elements['ticket[problem]'].value) + '&ticket[solution]=' + encodeURIComponent(objForm.elements['ticket[solution]'].value);
	
	var tkt_call_start_url = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_NAME + '/updateticketproblem';
	var objHttp = getXMLHttpRequest();
	objHttp.open("POST",tkt_call_start_url,false);
	objHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	objHttp.send(strPostBody);
	
	$("#ticketHeaderLinks").tabs("load",1);
}


function customerSearchDisplay () {
    var objTable = document.getElementById('customerResults');
    for (var i=objTable.rows.length-1;i>0;i--) {
        objTable.deleteRow(i);
    }
    document.getElementById('customerSelect').style.display = 'block';
    try {
        document.getElementById('ticketSelect').style.display = 'none';
    } catch (e) {}
}

function customerSearch (strSearchText, strFormName) {
    var objHttp = getXMLHttpRequest();
    var strPostBody = 'query=' + encodeURIComponent(strSearchText);
    var tkt_customer_search_url = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_PATH + '/xml.php/custsearch';
    objHttp.open('POST',tkt_customer_search_url,false);
    objHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    objHttp.send(strPostBody);

    var objTable = document.getElementById('customerResults');
    for (var i = objTable.rows.length - 1; i > 0; i--) {
    	objTable.deleteRow(i);
    }
    
    var objRow = false;
    var objCell = false;
    var objSpan = false;
    var strName = false;
    var strIDNum = false;
    var strIDType = false;
    var objCustomerNodes = objHttp.responseXML.getElementsByTagName('customer');
    for (var i=0;i<objCustomerNodes.length;i++) {
        var objRow = objTable.insertRow(i+1);

        if((i+1)%2 == 1)
            objRow.className = 'rowlink odd';
        else
            objRow.className = 'rowlink';

        strIDNum = objCustomerNodes[i].getAttribute("id").encodeHTML();
        strIDType = objCustomerNodes[i].getAttribute("contact").encodeHTML();
        strName = objCustomerNodes[i].getAttribute("name").encodeHTML();

        objCell = objRow.insertCell(0);
        objCell.innerHTML = objCustomerNodes[i].getAttribute("id").encodeHTML();
        objCell = objRow.insertCell(1);
        objCell.innerHTML = objCustomerNodes[i].getAttribute("name").encodeHTML();
        objCell = objRow.insertCell(2);
        objCell.innerHTML = objCustomerNodes[i].getAttribute("type").encodeHTML();
        objCell = objRow.insertCell(3);
        objCell.innerHTML = objCustomerNodes[i].getAttribute("phone").encodeHTML();
        objCell = objRow.insertCell(4);
        objCell.innerHTML = objCustomerNodes[i].getAttribute("username").encodeHTML();
        objCell = objRow.insertCell(5);
        objCell.innerHTML = objCustomerNodes[i].getAttribute("active").encodeHTML();
        objCell = objRow.insertCell(6);
        objCell.innerHTML = objCustomerNodes[i].getAttribute("attention").encodeHTML();
        objCell = objRow.insertCell(7);
        objCell.innerHTML = objCustomerNodes[i].getAttribute("data_id").encodeHTML();
        objCell.style.visibility = "hidden";
        objCell = objRow.insertCell(8);
        objCell.innerHTML = objCustomerNodes[i].getAttribute("contact").encodeHTML();
        objCell.style.visibility = "hidden";
        
        objRow.onclick = function () { ticketCustomerSet(this, strFormName) }
        objRow.onmouseover = function () { hoverAdd(this); }
        objRow.onmouseout = function () { hoverRemove(this); }
    }

}

function ticketCustomerSet (objRow, strFormName) {
    var objForm = document.forms[strFormName];
    if (objForm) {
        objForm.elements['custid'].value = objRow.cells[0].childNodes[0].nodeValue;
        if (objRow.cells[2].innerHTML.toUpperCase() == "CONTACT")
	        objForm.elements['contact'].value = "Y";
	else
		objForm.elements['contact'].value = "N";
    	try {
    		objForm.elements['loadCust'].value = 'Y';
    	} catch (e) {}
    }
    
    try {
	    document.getElementById('customerName').innerHTML = objRow.cells[1].innerHTML;
    } catch (e) {}
    try {
	    objForm.elements['customerName'].value = objRow.cells[1].innerHTML;
    } catch (e) {}
    
    if (objRow.cells[2].innerHTML.toUpperCase() != "CUSTOMER" && objRow.cells[2].innerHTML.toUpperCase() != "CONTACT") {
	try {
	    document.getElementById('serviceName').innerHTML = objRow.cells[4].innerHTML;
	} catch (e) {}
	try {
	    objForm.elements['serviceName'].value = objRow.cells[4].innerHTML;
	} catch (e) {}
	try {
	    if (objRow.cells[7].innerHTML != 0) {
		    objForm.elements['svc_id'].value = objRow.cells[8].innerHTML;
		    objForm.elements['svc_instance_id'].value = objRow.cells[7].innerHTML;
	    }
	} catch (e) {}
    } else {
	try {
	    document.getElementById('serviceName').innerHTML = '';
	} catch (e) {}
	try {
	    objForm.elements['serviceName'].value = '';
	} catch (e) {}
	try {
	    objForm.elements['svc_id'].value = '';
	    objForm.elements['svc_instance_id'].value = '';
	} catch (e) {}
    }    
    
    document.getElementById('customerSelect').style.display = 'none';
    $("#customerSelect").dialog("close");
}

function ticketSearch (strIDNum, strIDType, strFormName) {
    var objTable = document.getElementById('ticketResults');
    for (var i=objTable.rows.length-1;i>0;i--) {
        objTable.deleteRow(i);
    }
    try {
        document.getElementById('customerSelect').style.display = 'none';
    } catch (e) {}
    document.getElementById('ticketSelect').style.display = 'block';

    var objHttp = getXMLHttpRequest();
    var strPostBody = 'custid=' + encodeURIComponent(strIDNum) + '&contact=' + encodeURIComponent(strIDType);
    var tkt_ticket_search_url = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_PATH + '/xml.php/getcustomertickets';
    objHttp.open('POST',tkt_ticket_search_url,false);
    objHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    objHttp.send(strPostBody);

    var objTable = document.getElementById('ticketResults');
    var objRow = false;
    var objCell = false;
    var objSpan = false;
    var strName = false;
    var dtmTemp = new Date();
    var objTicketNodes = objHttp.responseXML.getElementsByTagName('ticket');
    if (objTicketNodes.length) {
        for (var i=0;i<objTicketNodes.length;i++) {
            objRow = objTable.insertRow(i+1);
            if((i+1)%2 == 1)
                objRow.className = 'rowlink odd';
            else
                objRow.className = 'rowlink';

            objCell = objRow.insertCell(0);
            objCell.innerHTML = objTicketNodes[i].getAttribute("id").encodeHTML();
            objCell = objRow.insertCell(1);
            dtmTemp.setISO8601(objTicketNodes[i].getAttribute("date"));
            objCell.innerHTML = String(dtmTemp.toLocaleDateString() + ' ' + dtmTemp.toLocaleTimeString()).encodeHTML();
            objCell = objRow.insertCell(2);
            objCell.innerHTML = objTicketNodes[i].getAttribute("status").encodeHTML();
            objCell = objRow.insertCell(3);
            objCell.innerHTML = objTicketNodes[i].getAttribute("problem").encodeHTML();
            objRow.onclick = function () { ticketSet(this, strFormName); }
            objRow.onmouseover = function () { hoverAdd(this); }
            objRow.onmouseout = function () { hoverRemove(this); }
        }
    } else {
            objRow = objTable.insertRow(1);
            objCell = objRow.insertCell(0);
            objCell.colSpan = 4;
            if (strIDType.toUpperCase() != 'Y')
                objCell.innerHTML = 'No Tickets Found for Customer #' + strIDNum.encodeHTML();
            else
                objCell.innerHTML = 'No Tickets Found for Contact #' + strIDNum.encodeHTML();

    }
}

function ticketSet (objRow, strFormName) {
    var objForm = document.forms[strFormName];
    if (objForm) {
        objForm.elements['ticketid'].value = objRow.cells[0].childNodes[0].nodeValue;
    }
    document.getElementById('ticketSelect').style.display = 'none';
	$("#ticketSelect").dialog("close");
}

function hoverAdd (objRow) {
    objRow.className = objRow.className+" hovered";
    objRow.style.cursor = "pointer";
}

function hoverRemove (objRow) {
    objRow.className = objRow.className.replace(" hovered","");
    objRow.style.cursor = "default";
}

function ticketNewDisplay () {
    var objForm = document.forms['ticketCallNew'];
    if (objForm) {
        objForm.action = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_NAME + '/savenewticket';
        objForm.elements['ticketid'].value = '0'
        document.getElementById('ticketNew').style.display = 'block';
        document.getElementById('ticketExisting').style.display = 'none';
    }
}

function ticketExistingDisplay () {
    var objForm = document.forms['ticketCallNew'];
    if (objForm) {
        objForm.action = SERVER_PROTOCOL + SERVER_NAME + SCRIPT_NAME + '/saveticketcall';
        objForm.elements['ticketid'].value = '0'
        document.getElementById('ticketNew').style.display = 'none';
        document.getElementById('ticketExisting').style.display = 'block';
    }
}

// {/literal} ]]>
