<?PHP

class OptionManager {
    var $options;

    function __construct($database) {
        $this->db = $database;
        $this->options = array();
    }

    function GetOption($name, $layers=array('default')) {
        $query = "SELECT name, value FROM acf_options";
        $query .= ' WHERE';
    }
}

function IsValidName($name) {
    if (preg_match('/[^\w\s\.\_]/', $name))
        return false;
    return true;
}

/*
 * Used to return an object and its constituent objects by value
 * so that the receiver cannot modify the original
 *
 */

function CloneObjectArray($a) {
    if($a===NULL)
        return $a;

    if(!is_array($a))
        throw new ACF_Exception(gettype($a).' passed to CloneObjectArray()');

    $clones = array();
    foreach($a as $key=>$value) {
        if(is_array($value))
            $clones[$key] = CloneObjectArray($value);
        else if(is_object($value))
            $clones[$key] = clone $value;
        else
            $clones[$key] = $value;

    }
    return $clones;
}

?>