<?PHP

require_once($_ENV['TCA_HOME']."/cartridges/abstract_serviceoffering.inc.php");
require_once("provision.inc.php");
require_once("lib/domainutils.inc.php");

class TCA_TransferDomainServiceAction extends TCA_AbstractSwRegisterDomainAction implements
    	TCA_ServiceOfferingAction {
    		    
    public function __construct(TCA_DomainServiceManager $serviceManager) {
    	parent::__construct("transfer", $serviceManager);
    }
    
    public function perform($step = 1) {
    	$serviceRequest = $this->serviceManager->createServiceRequest(self::ACTION);

    	$attrContainer = $this->getParametersContainer()->getChildContainerByName(self::ATTRIBUTES);
    	    	    	
    	$attrServReqParamSet = TCA_ServiceRequestParameterSet::createServiceRequestParameterSet(
    		$attrContainer->toParameterSet());
    	
    	$attrServReqParamSet->addParameter(new TCA_Parameter(self::REG_TYPE, "transfer"));
    	
    	$serviceRequest->addParameterSet(self::ATTRIBUTES, $attrServReqParamSet);
    	
    	$serviceResponse = $this->serviceManager->processServiceRequest($serviceRequest);
    	
    	return $this->convertServiceResponseToActionResult($serviceResponse);    	
    }
}

?>
