#!/usr/local/bin/php

<?php

$fileExtention = ".php";
$cmd = "php";
$testSuites = array (
    "communicationTest" => "Communication Layer Test Suite",
    "cookieTest" => "Cookie Test Suite",
    "domainTest" => "Domain Test Suite",
    "validatorTest" => "Validation Framework Test Suite",
    //add more tests suite here
);

print "\nTotal ".count($testSuites)." Test Suites to be run\n";
print "Test Started at ".date("H:i:s")."\n";

$result;
try {
    foreach ($testSuites as $suite => $note) {
	print "\n $note BEGIN \n";
	print "----------------------\n";
	$res = system("$cmd $suite$fileExtention");
	$result .= "$suite => $res\n";
    }
} catch (Exception $e) {
    print "\nSummary:\n$result\n";
    throw $e;
}

print "\nSummary:\n$result\n";

print "\n\nTest Finished at ".date("H:i:s")."\n";

?>
