<?php
set_include_path(get_include_path().":..");
//set_include_path(get_include_path().":/usr/local/lib/php:..");
require_once("client.inc.php");
//require_once("domainUsage.php");


	

// instantiate the client object, pass config object

TCA_Client::initEnv();
$client = new TCA_Client(new TCA_XMLConfigReader("tucows-client.xml"));
$cookie;
// lookup a domain using business layer API
#$request = $client->createServiceRequest('lookup_domain');
#$pSet = new TCA_ServiceRequestParameterSet();
#$pSet->addParameter(new TCA_ServiceRequestParameter('domain', 'tucows.com'));
#$request->addParameterSet('attributes',$pSet);
#echo "service request: ". $request->__toString()."\n";
#$res = $client->processServiceRequest($request);

#echo "service response: ". $res->__toString()."\n";
#echo "IS SUCCESS: ".$res->isSuccess()."\n";
#echo "RESPONSE CODE: ".$res->getResponseCode()."\n";
#echo "RESPONSE TEXT: ".$res->getResponseText()."\n";

// getting a cookie

$cookie = "869730967:277574";
//uncomment to get a real cookie

echo "\n\n---- Set Cookie ----\n\n";
	$request = $client->createServiceRequest('TUCOWS_domains.set_cookie');
	$pSet = new TCA_ServiceRequestParameterSet();
	$pSet->addParameter(new TCA_ServiceRequestParameter('domain', 'tanya.info'));
	$pSet->addParameter(new TCA_ServiceRequestParameter("reg_username", "tanya"));
	$pSet->addParameter(new TCA_ServiceRequestParameter("reg_password", "tanya"));
	$request->addParameterSet('attributes',$pSet);
	$result = $client->processServiceRequest($request);
	if (!$result->isSuccess()) {
	    throw new Exception("set cookie failed -- ". $result->getResponseText());
	} else {
	    $cookie = $result->getResponseData()->getElement("attributes")->getElement('cookie')->getValue();
	}


echo "........cookies is : $cookie ..\n";



// action query
//1- get the domain cartridge


$cartridegManager = $client->getCartridgeManager();
$crs=$cartridegManager->getCartridges();
//var_dump(array_keys($crs));

$domainCartridge = $cartridegManager->getCartridgeByName("TCA_TUCOWS_domains_cartridge");

//getting the service offerings
$serviceOffering = $domainCartridge->getServiceOfferings();
$domainCartridge->getServiceManager()->setWorkOrderManager($client->getWorkOrderManager());
//var_dump(array_keys($serviceOffering));

//getting the query action
$actions = $serviceOffering['.com']->getActions();
var_dump(array_keys($actions));

$action = $serviceOffering['.com']->getActionByName("query");

echo "\n\n---- QUERY ----\n\n";

//getting the parameter set of this action
$pSet = $action->getParametersContainer()->getParameters();
echo".......Required parameters are:\n";
//var_dump(array_values($pSet));

$cookieParam = $action->getParametersContainer()->getParameterByName('cookie');
$cookieParam->setValue($cookie);

$attrContainer = $action->getParametersContainer()->getChildContainerByName('attributes');

$typeParam = $attrContainer->getParameterByName('type');

$typeParam->setValue('nameservers');



// calling the perform action on the parameter set
echo"........Calling query action perform:\n";

echo"........ query action results:\n";

$result = $action->perform();

	var_dump($result->isSuccess());
	var_dump($result->getResultCode());
	var_dump($result->getResultText());


//*******************************************************************************
//Action refund

echo "\n\n---- REFUND ----\n\n";

$domainName = "tanya.info";
$reseller = "tucows";

$action = $serviceOffering['.com']->getActionByName("refund");

//getting the parameter set of this action
$pSet = $action->getParametersContainer()->getParameters();
echo".......Required parameters are:\n";
//var_dump(array_values($pSet));


$attrContainer = $action->getParametersContainer()->getChildContainerByName('attributes');

$domainParam = $attrContainer->getParameterByName('domain');
$resellerParam = $attrContainer->getParameterByName('reseller');

$domainParam->setValue($domainName);
$resellerParam->setValue($reseller);


// calling the perform action on the parameter set
echo"........Calling refund action perform:\n";
$refundResult = $action->perform();

echo"........ refund action results:\n";

	var_dump($result->isSuccess());
	var_dump($result->getResultCode());
	var_dump($result->getResultText());

	
//*******************************************************************************
//Action renew

echo "\n\n---- RENEW ----\n\n";

$domainName = "tanya.info";


$action = $serviceOffering['.com']->getActionByName("renew");

//getting the parameter set of this action
$pSet = $action->getParametersContainer()->getParameters();
echo".......Required parameters are:\n";
//var_dump(array_values($pSet));


$attrContainer = $action->getParametersContainer()->getChildContainerByName('attributes');

$domainParam = $attrContainer->getParameterByName('domain');
$periodParam = $attrContainer->getParameterByName('period');
$autoRenewalParam = $attrContainer->getParameterByName('auto_renew');
$handleParam = $attrContainer->getParameterByName('handle');
$currentExpirationYearParam = $attrContainer->getParameterByName('currentexpirationyear');

$domainParam->setValue($domainName);
$periodParam->setValue(2);
$autoRenewalParam->setValue(true);
$handleParam->setValue("save");
$currentExpirationYearParam->setValue(2000);


// calling the perform action on the parameter set
echo"........Calling renew action perform:\n";
$refundResult = $action->perform();

echo"........ renew action results:\n";

	var_dump($result->isSuccess());
	var_dump($result->getResultCode());
	var_dump($result->getResultText());
	
//*******************************************************************************
//Action transfer

echo "\n\n---- TRANSFERE ----\n\n";

$domainName = "tanya.info";


$action = $serviceOffering['.com']->getActionByName("transfer");

//getting the parameter set of this action
$pSet = $action->getParametersContainer()->getParameters();
echo".......Required parameters are:\n";
//var_dump(array_values($pSet));


$attrContainer = $action->getParametersContainer()->getChildContainerByName('attributes');

$domainParam = $attrContainer->getParameterByName('domain');
$handleParam = $attrContainer->getParameterByName('handle');
$autoRenewalParam = $attrContainer->getParameterByName('auto_renew');

$reg_usernameParam = $attrContainer->getParameterByName('reg_username');
$reg_passwordParam = $attrContainer->getParameterByName('reg_password');
$customNameServersParam = $attrContainer->getParameterByName('custom_nameservers');

$customTechContactParam = $attrContainer->getParameterByName('custom_tech_contact');
$affiliateIDParam = $attrContainer->getParameterByName('affiliate_id');




$domainParam->setValue($domainName);
$autoRenewalParam->setValue(true);
$handleParam->setValue("save");

$reg_usernameParam->setValue($domainName);
$reg_passwordParam->setValue(2);
$customNameServersParam->setValue(0);

$customTechContactParam->setValue(0);
$affiliateIDParam->setValue(5);




// calling the perform action on the parameter set
echo"........Calling transfer action perform:\n";
$refundResult = $action->perform();

echo"........ transfer action results:\n";

	var_dump($result->isSuccess());
	var_dump($result->getResultCode());
	var_dump($result->getResultText());
?>
