<?php

set_include_path(get_include_path().":..");
require_once("client.inc.php");
require_once("util/string.inc.php");

TCA_Client::initEnv();

$client = new TCA_Client(new TCA_XMLConfigReader("tucows-client.xml"));

$servicePackageManager = $client->getServicePackageManager();

$servicePackage = $servicePackageManager->getServicePackageByName('domains_com');

$serviceOffering = $servicePackage->getServiceOfferingByName('.com');

$soAction = $serviceOffering->getActionByName('check_available');

$actionParams = $soAction->getParametersContainer()->getParameters();

$domainParam =
	$soAction->getParametersContainer()->getChildContainerByName('attributes')->getParameterByName('domain');

$domainParam->setValue('cnn.com');

echo "Check available params:\n" .
    $soAction->getParametersContainer()->__toString();

$result = $soAction->perform();

echo "Check available result:\n" . $result->__toString();

echo "\n";

$domainParam->setValue('abababababab.com');

echo "Check available params:\n" .
    $soAction->getParametersContainer()->__toString();

$result = $soAction->perform();

echo "Check available result:\n" . $result->__toString();

?>
