<?php

set_include_path(get_include_path().":..");
require_once("util/parameter.inc.php");
require_once("servicemanager.inc.php");
require_once("services/domainmanager.inc.php");
require_once("util/string.inc.php");
require_once("exceptions.inc.php");

// instantiate the client object, pass config object
$dm = new TCA_DomainServiceManager();
$action = 'lookup_domain';
echo "action $action is valid? ".$dm->isValidAction($action)."\n";

// lookup a domain using business layer API
$request = $dm->createServiceRequest('TUCOWS_domains.'.$action);
$request->addParameter(new TCA_ServiceManagerParameter('domainName', 'example.com'));
echo "service request: ". $request->__toString()."\n";
$res = $dm->processServiceRequest($request);

?>
