<?php

set_include_path(get_include_path().":..");
require_once("client.inc.php");

// instantiate the client object, pass config object
$client = new TCA_Client(new TCA_XMLConfigReader("tucows-client.xml"));

// lookup a domain using order workflow API
$workOrder = $client->createWorkOrder();

$workUnit = new TCA_WorkUnit();
$workUnit->addParameter(new TCA_WorkUnitParameter("protocol", "XCP"));
$workUnit->addParameter(new TCA_WorkUnitParameter("action", "lookup"));
$workUnit->addParameter(new TCA_WorkUnitParameter("object", "domain"));
$attributes = new TCA_WorkUnitParameterSet();
$attributes->addParameter(new TCA_WorkUnitParameter("domain", "example.com"));
$workUnit->addParameterSet("attributes", $attributes);

$workUnitBundle = new TCA_WorkUnitBundle();
$workUnitBundle->addWorkUnit($workUnit);
$workOrder->addWorkUnitBundle($workUnitBundle);

echo $workOrder;
$res = $client->processWorkOrder($workOrder);
echo "result: \n";
//var_dump($res);

?>
