<?php

//---- function to display the current screen
function finishInit(){
    $data   = $_SESSION['ccs']['configuration']['data'];
    $domDoc = new domDocument();
    $domDoc->load("../../etc/ccs_options.xml");
//---- time to set the billing options
//---- billing settings
	$refPoint = $domDoc->getElementsByTagName("billing-module")->item(0);
	$refPoint = $refPoint->getElementsByTagName("billing-options")->item(0);
	$refPoint->getElementsByTagName("rate-auth")->item(0)->nodeValue       = $data['billing']['rateAuth']             == "N" ? "no": "yes";
	$refPoint->getElementsByTagName("service-preauth")->item(0)->nodeValue = $data['billing']['servicePreAuth']       == "N" ? "no": "yes";
	if ($refPoint->getElementsByTagName("display-non-ccs-bundles")->item(0))
	    $refPoint->getElementsByTagName("display-non-ccs-bundles")->item(0)->nodeValue = $data['billing']['displayNonCCSBundles'] == "Y" ? "yes": "no";
	else{
	    $node = $domDoc->createElement("display-non-ccs-bundles", $data['billing']['displayNonCCSBundles'] == "Y" ? "yes": "no");
	    $refPoint->appendChild($node);
	}
//---- time to grab the services
//---- find the domain service
    $refPoint = $domDoc->getElementsByTagName("service-module");
    for ($i=0; $refPoint->item($i); $i++){
	if ($refPoint->item($i)->getElementsByTagName("name")->item(0)->nodeValue == "domain"){
	    $refPoint = $refPoint->item($i);
	    break;
	}
    }
//---- domain settings
//    if ($data['domain']['active'] != "Y")
//	$refPoint->getElementsByTagName("active")->item(0)->nodeValue = "false";
//    else{
//	$refPoint->getElementsByTagName("active")->item(0)->nodeValue = "true";
	$refPoint->getElementsByTagName("manage")->item(0)->nodeValue = $data['domain']['allowManage'] == "Y" ? "yes" : "no";
//---- move reference point in deeper
	$refPoint = $refPoint->getElementsByTagName("service-options")->item(0);
	$refPoint->getElementsByTagName("allow-password-recovery")->item(0)->nodeValue  = $data['domain']['allowPasswordRecovery']   == "Y"      ? "yes" : "no";
	$refPoint->getElementsByTagName("allow-password-updates")->item(0)->nodeValue   = $data['domain']['allowPasswordUpdates']    == "Y"      ? "yes" : "no";
	$refPoint->getElementsBytagName("default-status-locked")->item(0)->nodeValue    = $data['domain']['defaultLockState']        == "Locked" ? "yes" : "no";
	$refPoint->getElementsByTagName("allow-domain-lock-change")->item(0)->nodeValue = $data['domain']['allowLocking']            == "Y"      ? "yes" : "no";
	$refPoint->getElementsByTagName("allow-custom-tech-info")->item(0)->nodeValue   = $data['domain']['allowTech']               == "Y"      ? "yes" : "no";
	$refPoint->getElementsByTagName("allow-custom-nameservers")->item(0)->nodeValue = $data['domain']['allowCustomNameservers']  == "Y"      ? "yes" : "no";
	$refPoint->getElementsByTagName("allow-manage-nameservers")->item(0)->nodeValue = $data['domain']['allowModifyNameservers']  == "Y"      ? "yes" : "no";
	$refPoint->getElementsByTagName("allow-register-nameservers")->item(0)->nodeValue = $data['domain']['allowLocalNameservers'] == "Y"      ? "yes" : "no";
	$refPoint->getElementsByTagName("whois-server")->item(0)->nodeValue  = $data['domain']['whoisServer'];
	$refPoint->getElementsByTagName("handle-action")->item(0)->nodeValue = $data['domain']['handleAction'];
//    }
//---- time to save everything
    if (!$domDoc->save("../../etc/ccs_options.xml")){
	$_SESSION['ccs']['configuration']['message']   = "There was an error writing the file: ../../etc/ccs_options.xml";
	$_SESSION['ccs']['configuration']['pageTitle'] = 'Tucows Client Code Suite Configuration - Incomplete';
    }else{
	$_SESSION['ccs']['configuration']['pageTitle'] = 'Tucows Client Code Suite Configuration - Complete';
    }
    unset($domDoc);
    require("configure/templates/finish.php");
}


//---- function to manipulate data
function finishExecute(){
    return false;
}


//---- function to remove a branch
function removeBranch(&$doc, $branch){
    $parent = $doc->getElementsByTagName($branch);
    while ($parent->item(0))
	$doc->removeChild($parent->item(0));
}


//---- function to transform and add an array to a dom doc
function appendArray(&$doc, &$parent, $subject){
    if (is_array($subject)){
	foreach($subject as $key => $value){
//---- this is a user entered field
	    if ($key == 'user-requested-entries')
		foreach ($value['entry'] as $userEntry)
		    $entry = addChildNode($doc, $parent, $userEntry['name'], $userEntry['default-value']);
	    else{
//---- all other values
		$current = addChildNode($doc, $parent, $key);
		if (is_array($value))
		    $entry = appendArray($doc, $current, $value);
		else{
		    $textNode = $doc->createTextNode($value);
		    $textNode = $current->appendChild($textNode);
		}
	    }
	}
    }else{
	$textNode = $dom->createTextNode($subject);
	$textNode = $parent->appendChild($textNode);
    }
}


//---- function to create and add a child node to a parent node
function addChildNode(&$doc, &$parent, $child, $value=null){
    $childNode = $doc->createElement($child);
    $chlidNode = $parent->appendChild($childNode);
    if (isset($value)){
	$textNode  = $doc->createTextNode($value);
	$textNode = $childNode->appendChild($textNode);
    }
    return $childNode;
}
?>
