<?php

//---- function to display the current screen
function startInit(){
    $_SESSION['ccs']['configuration']['pageTitle'] = 'Platypus / OpenSRS Configuration - Welcome';
    $steps   = &$_SESSION['ccs']['configuration']['steps'];

    if(!$_SESSION['ccs']['configuration']['data']['mode']){
	$mode = 'platypus';
//---- if credit card processing is not being used disable the pages
	if ($mode == 'platypus'){
	    if ($steps['creditCardGateway'])
		$steps['creditCardGateway']['active'] = false;
	    if ($steps['creditCardConfiguration'])
		$steps['creditCardConfiguration']['active'] = false;
	}else{
//---- if not in plat mode disable the CC config for plat
	    if ($steps['creditCardPlatConfiguration'])
		$steps['creditCardPlatConfiguration']['active'] = false;
	    if ($steps['platypusConfiguration'])
		$steps['platypusConfiguration']['active'] = false;
	}
	$_SESSION['ccs']['configuration']['data']['mode'] = $mode;
    }
    require("configure/templates/start.php");
}

//---- function that manipulates data
function startExecute(){
    if(!$_SESSION['ccs']['configuration']['loadedOptions']){
	$_SESSION['ccs']['configuration']['message'] = "File 'etc/ccs_options.xml' is not loaded, please run 'etc/setup.php'.";
	return false;
    }
    return true;
}
?>
