<?php
class whois_request {
    private $server;
    private $port;
    private $response;
    private $lastError;

    function __construct($server,$port = 43) {	    //--- Constructor
	$this->server = $server;
	$this->port = $port;
	$this->lastError = "";
    }

    function query($domain) {
	$socket = fsockopen($this->server, $this->port, $errorNumber, $errorString);
	$this->response = array();
	$this->response['parsed'] = array();
	if($socket) {
	    if(fwrite($socket,$domain."\r\n",strlen($domain) + 2) === false) {
	        $this->lastError = "Cannot Write to Server.";
	        return false;
	    }
	
	    stream_set_timeout($socket,240); //--- Times out in 4 min.

	    $Line = fgets($socket);  //--- Gets one line
	    $this->response['raw'] .= $Line;
	    while($Line) {
		if(strstr($Line,":")) {
		    // New Option
		    $pair = explode(':',$Line);
		    $this->response['parsed'][$pair[0]] = $pair[1];
		}
		$Line = fgets($socket);  //--- Gets one line
		$this->response['raw'] .= $Line;
	    }

	    fclose($socket);
	}
    }

    function getResponse() {
	return $this->response;
    }
}
?>
